Search Support

Beware of phishing attacks: Mozilla will never ask you to call a number or visit a non-Mozilla website. Please ignore such requests.

Learn More

Java Plug-ins detected as not up to date.

  • 3 replies
  • 25 have this problem
  • 1303 views
  • Last reply by cor-el

more options

Having run the page to check if my plugins are up to date, I'm told Java(TM) Platform SE 7 U9 and Java Deployment Toolkit 7.0.90.5 are out of date.

However, verifying the Java version, the webpage displays "You have the recommended Java installed (Version 7 Update 9)."

How do I go about remedying this?

Chosen solution

You can find the latest Java version on the Oracle website.

See Java Platform > Java SE 7U10 or Java 6U38 (Download JRE)

Read this answer in context 👍 1

All Replies (3)

more options

Chosen Solution

You can find the latest Java version on the Oracle website.

See Java Platform > Java SE 7U10 or Java 6U38 (Download JRE)

more options

Hi there,

Thanks for your reply.

Installed the appropriate program, but it is still showing as out of date.

more options